Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
hhhhgggg

Lisp đổi Font của tất cả các Style có trong bản vẽ sang font .vnarial ?????????

Các bài được khuyến nghị

đây là 1 đoạn mã đổi Font của Stly có tên CAD Viet sang font .VNARIAL NARROW , Bác Pro nào sửa giúp em thành Lisp đổi tất cả các font của các style có trong bản vẽ sang font .VNARIAL NARROW với .

Code:

(defun C:fo()

(command ".-style" "chuso" ".VNARIAL NARROW" "" "" "" "" "")

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
đây là 1 đoạn mã đổi Font của Stly có tên CAD Viet sang font .VNARIAL NARROW , Bác Pro nào sửa giúp em thành Lisp đổi tất cả các font của các style có trong bản vẽ sang font .VNARIAL NARROW với .

Code:

(defun C:fo()

(command ".-style" "chuso" ".VNARIAL NARROW" "" "" "" "" "")

Cái tên Font chữ .VNARIAL NARROW trong đoạn Code trên bị sai.

Sửa lại đây :

(defun C:fo()

(command "style" "chuso" "VNARIALN.TTF" "0" "1" "0" "n" "n")

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cái tên Font chữ .VNARIAL NARROW trong đoạn Code trên bị sai.

Sửa lại đây :

(defun C:fo()

(command "style" "chuso" "VNARIALN.TTF" "0" "1" "0" "n" "n")

(princ)

)

 

Ko phải bác Tuệ ơi ! Bác hiểu nhầm ý của em rồi, đoạn lisp em post lên ko có j sai cả. Mà em muốn đổi mã đoạn lisp đó để nó đổi Font cho tất cả mọi style có trong bản vẽ thành font .VNARIAL NARROW. Bác sửa giúp em với !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Ko phải bác Tuệ ơi ! Bác hiểu nhầm ý của em rồi, đoạn lisp em post lên ko có j sai cả. Mà em muốn đổi mã đoạn lisp đó để nó đổi Font cho tất cả mọi style có trong bản vẽ thành font .VNARIAL NARROW. Bác sửa giúp em với !

Có cao giúp viết lisp này không nhỉ ? thủ lisp nào giúp đỡ viết hộ mình lisp này với thanh.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sax! Việc này cũng fải viện đến lisp sao?

- tạo 1 textstyle dùng font .vnarial

- Chọn tất cả các text có trong bản vẽ (Dùng hộp thoại properties, hoặc filter hoặc qick select)

- Chuyển các text được chọn về style vừa tạo.

Xong.

nếu muốn xóa các style cũ không còn nữa thì purge 1 phát. bản vẽ chỉ còn đúng duy nhất một textstyle dùng font .vnarial

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Sax! Việc này cũng fải viện đến lisp sao?

- tạo 1 textstyle dùng font .vnarial

- Chọn tất cả các text có trong bản vẽ (Dùng hộp thoại properties, hoặc filter hoặc qick select)

- Chuyển các text được chọn về style vừa tạo.

Xong.

nếu muốn xóa các style cũ không còn nữa thì purge 1 phát. bản vẽ chỉ còn đúng duy nhất một textstyle dùng font .vnarial

 

Nếu làm như bạn nói thì mình đã làm được rồi. Nhưng ý mình là khi mình copy nhiều file khác nhau sẽ có nhiều kiểu font làm như bạn cũng được nhủng không thể pu hết cac style(Các kiểu chữ ở trong block thì nó bó tay). mình dang cần 1 lisp dạng giống như Laytrans dùng cho kiếu chữ .

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không biết đúng ý bạn không?

(defun C:CHANGEALLSTYLEWITHVNARIALN (/ CUR_TEXTSTYLE TEXTSTYLE_LIST I TEXTSTYLE_I)

(setq CUR_TEXTSTYLE (getvar "TEXTSTYLE"))

(setq TEXTSTYLE_LIST (list (cdr (nth 1 (tblnext "STYLE" t)))))

(while (tblnext "STYLE")

(setq TEXTSTYLE_LIST (append TEXTSTYLE_LIST (list (cdr (nth 1 (tblnext "STYLE"))))))

) ;_ end while

(setq I 0)

(while (< I (length TEXTSTYLE_LIST))

(setq TEXTSTYLE_I (nth I TEXTSTYLE_LIST))

(command "-style" TEXTSTYLE_I "VNARIALN.TTF" "" "" "" "" "")

(setq I (1+ I))

) ;_ end while

(setvar "TEXTSTYLE" CUR_TEXTSTYLE)

) ;_ end defun

 

nếu đúng đổi tên lệnh cho ngắn lại mà sử dụng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Không biết đúng ý bạn không?

(defun C:CHANGEALLSTYLEWITHVNARIALN (/ CUR_TEXTSTYLE TEXTSTYLE_LIST I TEXTSTYLE_I)

(setq CUR_TEXTSTYLE (getvar "TEXTSTYLE"))

(setq TEXTSTYLE_LIST (list (cdr (nth 1 (tblnext "STYLE" t)))))

(while (tblnext "STYLE")

(setq TEXTSTYLE_LIST (append TEXTSTYLE_LIST (list (cdr (nth 1 (tblnext "STYLE"))))))

) ;_ end while

(setq I 0)

(while (< I (length TEXTSTYLE_LIST))

(setq TEXTSTYLE_I (nth I TEXTSTYLE_LIST))

(command "-style" TEXTSTYLE_I "VNARIALN.TTF" "" "" "" "" "")

(setq I (1+ I))

) ;_ end while

(setvar "TEXTSTYLE" CUR_TEXTSTYLE)

) ;_ end defun

 

nếu đúng đổi tên lệnh cho ngắn lại mà sử dụng

Bạn có thể bớt đi 1 vòng lặp While mà :

(setq tbl (tblnext "STYLE" T))

(while tbl

(command "-style" (cdr(assoc 2 tbl)) "VNARIALN.TTF" "" "" "" "" "")

(setq tbl (tblnext "STYLE" ))

)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn có thể bớt đi 1 vòng lặp While mà :

(setq tbl (tblnext "STYLE" T))

(while tbl

(command "-style" (cdr(assoc 2 tbl)) "VNARIALN.TTF" "" "" "" "" "")

(setq tbl (tblnext "STYLE" ))

)

Hjx ! Em copy CODE về, Đánh tên lệnh xong chẳng thấy j ??? Các bác Pro kiểm tra lại giúp em xem lỗi ở đâu???

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thank gia bach,

 

 

Chay tốt mà

(defun C:LENH()

(setq tbl (tblnext "STYLE" T))

(while tbl

(command "-style" (cdr(assoc 2 tbl)) "VNARIALN.TTF" "" "" "" "" "")

(setq tbl (tblnext "STYLE" ))

)

(princ)

)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thank gia bach,

Chay tốt mà

(defun C:LENH()

(setq tbl (tblnext "STYLE" T))

(while tbl

(command "-style" (cdr(assoc 2 tbl)) "VNARIALN.TTF" "" "" "" "" "")

(setq tbl (tblnext "STYLE" ))

)

(princ)

)

[/qu.

Liệu có thể thay thể font VNARIAL bằng bất cứ font nào theo ý mình được không. và nếu thay được thì phải làm như thế nào. mong các bạn chỉ giup

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ban thử xem nhé

(defun C:LENH ()
 (setq tbl (tblnext "STYLE" T)
FontName (getstring "\nNhap ten file FONT can thay the: "))  
 (while tbl
(command "-style"
	 (cdr (assoc 2 tbl))
	 FontName
	 ""
	 ""
	 ""
	 ""
	 ""
)
(setq tbl (tblnext "STYLE"))
 )
 (princ)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×